Atualizando Debian [RESOLVIDO]

1. Atualizando Debian [RESOLVIDO]

Fernando Cesar Vaini
vaini

(usa Debian)

Enviado em 19/08/2009 - 12:24h

Ola galera. Sou meio novo no Linux. Gostaria de deixar minhas duvidas. Gosto muito de utilizar a distribuição Debian, porém como todos sabem ela demora um pouco para ser atualizada, e quando é lançada sua nova versão stable, os pacotes ja estão desatualizados. Bem, minha duvida é a seguinte, como posso, utilizar Debian e me manter atualizado. Por exemplo, instalei o Debian Lenny (somente o sistema basico) como posso atualizar o kernel para versão mais nova, e a como instalar o Gnome 2.26. Tenho outras opções como o Ubuntu, que já vem com o kernel compativel com minha placa wireless (Broadcom num Acer 4720Z) e Gnome mais atual que o Lenny. Porém como ja disse, gosto de utilizar Debian. Fico no aguardo de uma luz.


  


2. MELHOR RESPOSTA

Alex Faria Teodoro
alexft07

(usa Ubuntu)

Enviado em 19/08/2009 - 12:52h

Não sou um grande utilizador de Debian, mas, no seu caso, talvez você possa usar a versão testing ou unstable. Se você quer se manter atualizado (e talvez até mesmo perder um pouco de estabilidade) a melhor versão do Debian para ser usada é o testing. Já se você quer se manter muito atualizado, o melhor é usar o unstable, mas ele é bem mais inseguro nesse caso.

3. Re: Atualizando Debian [RESOLVIDO]

Anthony Collucci
acollucci

(usa Debian)

Enviado em 19/08/2009 - 12:53h

cara nao sei se vai funcionar, mas voce poderia baixar a versao do kernel que voce quer (www.kernel.org) e tentar instalar, ou entao da uma pesquisada aqui no vol mesmo sobre como recompilar o kernel.

att,
Anthony Collucci


4. Re: Atualizando Debian [RESOLVIDO]

Anthony Collucci
acollucci

(usa Debian)

Enviado em 19/08/2009 - 12:55h

Cara melhor ainda da uma lida nisso aqui. http://www.vivaolinux.com.br/artigo/Recompilar-o-Kernel-Isso-ainda-existe

flws


5. Re: Atualizando Debian [RESOLVIDO]

Fernando Cesar Vaini
vaini

(usa Debian)

Enviado em 20/08/2009 - 20:59h

Obrigado ai pelas respostas.
Consegui resolver meu problema fazendo outras pesquisas, e ai vai o resultado.

Primeiro instalei a versão netinstall testing. Depois adicionei os seguintes repositorios:

deb http://ftp.br.debian.org/debian testing main contrib non-free
deb-src http://ftp.br.debian.org/debian testing main contrib non-free

deb http://ftp.be.debian.org/debian/ lenny-proposed-updates main contrib non-free
deb-src http://ftp.be.debian.org/debian/ lenny-proposed-updates main contrib non-free

deb http://ftp.br.debian.org/debian unstable main contrib non-free
deb-src http://ftp.br.debian.org/debian unstable main contrib non-free

Depois foi necessários aumentar o tamanho do cache.

# touch /etc/apt/apt.conf.d/99cache
# mcedit /etc/apt/apt.conf.d/99cache

Adicione a seguinte linha neste arquivo.

APT::CacheLimit "134217728";

Agora deve-se criar mais um arquivo:

# touch /etc/apt/preferences
# mcedit /etc/apt/preferences

Adicione o seguinte neste arquivo:

Package: *
Pin: release a=testing
Pin-Priority: 650

Package: *
Pin: release a=unstable
Pin-Priority: 700

Agora é só atualizar:

# apt-get update
# apt-get -y upgrade
# apt-get -y dist-upgrade

Com isso, fiz um upgrade do testing para unstable, porém atualizações de segurança, serao feitas no repositorio lenny.

Só mais um detalhe, depois de terminar o processo, removi o kernel antigo com o comando:

# apt-get remove linux-image-2.6.26-2-686

E somente depois, instalei o sistema gráfico. Como o repositorio usado é o unstable, o sistema instalado foi o gnome 2.26.

# aptitude install gnome gdm

É isso ai galera, espero que o topico ajude alguem, e muito obrigado aos que responderam.